//
//  SignOutTableViewCell.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/6.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class SignOutTableViewCell: BaseTableViewCell {
    var xinfo:MineInfoTableViewCellModel!
    
    lazy var signOutBtn: UIButton = {
        let signOutBtn = UIButton.init(type: UIButtonType.custom)
        signOutBtn.setTitle("退出登录", for: UIControlState.normal)
        signOutBtn.setTitleColor(UIColorFromRGB(rgbValue: 0xE45C1A), for: UIControlState.normal)
        self .addSubview(signOutBtn)
        return signOutBtn
    }()
    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel.init()
        titleLabel.font = UIFont.test_systemFont(ofSize: 12)
        titleLabel.textAlignment = .center
        titleLabel.text = "退出登录"
        titleLabel.textColor = UIColorFromRGB(rgbValue: 0xE45C1A)
        self .addSubview(titleLabel)
        return titleLabel
    }()
    override func awakeFromNib() {
        super.awakeFromNib()
        self.separatorInset = UIEdgeInsetsMake(0, SCREEN_WHIDTH(), 0, 0)
        // Initialization code
    }
    override func configurateTheCell(_ info: BaseCellModel) {
        xinfo = info as? MineInfoTableViewCellModel
        self.titleLabel.frame = CGRect(x:0, y: 0, width: self.width, height:self.height )
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        if selected {
            self.xinfo.block()
        }
        // Configure the view for the selected state
    }

}
